Update Column

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/column
API call form
Examples
List of examples
  • Update the name of a column
  • Update custom metadata of a column
  • Update the format of a column
  • Update the lowest level of a column
  • Update to currency column
  • Update to duration column
  • Set default format for numeric column
  • Set default format for datetime column
  • Set default format for duration column
  • Set default format for currency column
  • Enable hierarchy levels for column
  • Enable colors for column
Description

Set the default format for a duration column.

  • format: d3.js numeric formats (eg. ,.2f for 2 decimals and thousand separator marks)

  • lowestLevel: (1 - year, 9 - millisecond). Setting the lowestLevel indicates that the data available in the column is saved on this level, meaning that a value of 10 equals 10 months (if set to 3).

  • duration_format: long , short or time .

  • duration_levels: Array of duration levels for the column (1 - year, 9 - millisecond).

Install
pip install luzmo-sdk